Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 972443 - [abrt] 0ad-0.0.13-1.fc18: nv50_emit_vtxattr: Process /usr/bin/pyrogenesis was killed by signal 11 (SIGSEGV)
[abrt] 0ad-0.0.13-1.fc18: nv50_emit_vtxattr: Process /usr/bin/pyrogenesis was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:495c239903d1161078a50263237...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 08:43 EDT by fabio
Modified: 2014-02-05 16:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:44:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.60 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: core_backtrace (2.76 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: dso_list (8.21 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: environ (3.30 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: maps (44.61 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: open_fds (842 bytes, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: proc_pid_status (971 bytes, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: var_log_messages (1.20 KB, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details
File: xsession_errors (246 bytes, text/plain)
2013-06-09 08:43 EDT, fabio
no flags Details

  None (edit)
Description fabio 2013-06-09 08:43:11 EDT
Version-Release number of selected component:
0ad-0.0.13-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/pyrogenesis
crash_function: nv50_emit_vtxattr
executable:     /usr/bin/pyrogenesis
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 nv50_emit_vtxattr at nv50_vbo.c:146
 #2 nv50_vertex_arrays_validate at nv50_vbo.c:359
 #3 nv50_state_validate at nv50_state_validate.c:394
 #4 nv50_draw_vbo at nv50_vbo.c:745
 #5 st_draw_vbo at ../../src/mesa/state_tracker/st_draw.c:286
 #6 vbo_handle_primitive_restart at ../../src/mesa/vbo/vbo_exec_array.c:549
 #7 vbo_validated_drawrangeelements at ../../src/mesa/vbo/vbo_exec_array.c:968
 #8 vbo_exec_DrawRangeElementsBaseVertex at ../../src/mesa/vbo/vbo_exec_array.c:1076
 #9 vbo_exec_DrawRangeElements at ../../src/mesa/vbo/vbo_exec_array.c:1096
 #10 ShaderModelVertexRenderer::RenderModel at ../../../source/renderer/HWLightingModelRenderer.cpp:296
Comment 1 fabio 2013-06-09 08:43:19 EDT
Created attachment 758777 [details]
File: backtrace
Comment 2 fabio 2013-06-09 08:43:23 EDT
Created attachment 758778 [details]
File: cgroup
Comment 3 fabio 2013-06-09 08:43:27 EDT
Created attachment 758779 [details]
File: core_backtrace
Comment 4 fabio 2013-06-09 08:43:32 EDT
Created attachment 758780 [details]
File: dso_list
Comment 5 fabio 2013-06-09 08:43:36 EDT
Created attachment 758781 [details]
File: environ
Comment 6 fabio 2013-06-09 08:43:39 EDT
Created attachment 758782 [details]
File: limits
Comment 7 fabio 2013-06-09 08:43:44 EDT
Created attachment 758783 [details]
File: maps
Comment 8 fabio 2013-06-09 08:43:48 EDT
Created attachment 758784 [details]
File: open_fds
Comment 9 fabio 2013-06-09 08:43:52 EDT
Created attachment 758785 [details]
File: proc_pid_status
Comment 10 fabio 2013-06-09 08:43:56 EDT
Created attachment 758786 [details]
File: var_log_messages
Comment 11 fabio 2013-06-09 08:43:59 EDT
Created attachment 758787 [details]
File: xsession_errors
Comment 12 Paulo Andrade 2013-06-09 14:47:26 EDT
I believe this is very close to, if not the
same problem that happened recently in rawhide,
where 0ad was broken with nouveau for some
time, but after latest rawhide update it
started working again.

Apparently "ve->src_format" is bad in the
line of the crash:

util_format_read_4f(ve->src_format, v, 0, data, 0, 0, 0, 1, 1);
Comment 13 Fedora End Of Life 2013-12-21 08:56:01 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 16:44:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.